Bug 624699 - Review Request: perl-Term-Shell - Simple command-line shell framework
Review Request: perl-Term-Shell - Simple command-line shell framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 10:20 EDT by Steve Traylen
Modified: 2010-09-17 14:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Term-Shell-0.02-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 23:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-08-17 10:20:54 EDT
Spec URL: http://cern.ch/straylen/rpms/perl-Term-Shell/perl-Term-Shell.spec
SRPM URL: http://cern.ch/straylen/rpms/perl-Term-Shell/perl-Term-Shell-0.02-1.fc13.src.rpm
Description:
Term::Shell lets you write simple command-line shells. All the boring
details like command-line parsing, terminal handling, and tab completion
are handled for you.
Comment 1 Emmanuel Seyman 2010-08-24 19:07:01 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-08-24 19:17:38 EDT
Build fails on rawhide and dist-f13 since Test::More isn't in the BuildRequires.
Steve, can you fix this ?
Comment 3 Steve Traylen 2010-08-25 04:37:25 EDT
(In reply to comment #2)
> Build fails on rawhide and dist-f13 since Test::More isn't in the
> BuildRequires.
> Steve, can you fix this ?

Spec URL: http://cern.ch/straylen/rpms/perl-Term-Shell/perl-Term-Shell.spec
SRPM URL:
http://cern.ch/straylen/rpms/perl-Term-Shell/perl-Term-Shell-0.02-2.fc13.src.rpm

should do the job and I've tested in mock this time.

Thanks. Steve.
Comment 4 Emmanuel Seyman 2010-08-30 17:13:13 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2436040

 [x] Rpmlint output:
perl-Term-Shell-tests.noarch: W: no-documentation
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
273042f90af469c674f5b44ed011326b  Term-Shell-0.02.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2436040
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=15,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.07 cusr  0.02 csys =  0.11 CPU)
Result: PASS

APPROVED.
Comment 5 Steve Traylen 2010-08-31 01:21:00 EDT
New Package SCM Request
=======================
Package Name: perl-Term-Shell
Short Description: Simple command-line shell framework
Owners: stevetraylen
Branches: f13 f14 el4 el5 el6
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-09-01 15:33:16 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2010-09-01 17:14:15 EDT
perl-Term-Shell-0.02-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Term-Shell-0.02-2.el4
Comment 8 Fedora Update System 2010-09-01 17:14:20 EDT
perl-Term-Shell-0.02-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Term-Shell-0.02-2.fc14
Comment 9 Fedora Update System 2010-09-01 17:14:25 EDT
perl-Term-Shell-0.02-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Term-Shell-0.02-2.el5
Comment 10 Fedora Update System 2010-09-01 17:14:30 EDT
perl-Term-Shell-0.02-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Term-Shell-0.02-2.fc13
Comment 11 Fedora Update System 2010-09-01 22:26:45 EDT
perl-Term-Shell-0.02-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Term-Shell'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Term-Shell-0.02-2.el4
Comment 12 Fedora Update System 2010-09-01 22:27:53 EDT
perl-Term-Shell-0.02-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Term-Shell'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Term-Shell-0.02-2.el5
Comment 13 Fedora Update System 2010-09-10 23:39:44 EDT
perl-Term-Shell-0.02-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-09-16 12:31:26 EDT
perl-Term-Shell-0.02-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-09-16 12:31:57 EDT
perl-Term-Shell-0.02-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-09-17 14:19:51 EDT
perl-Term-Shell-0.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.